package com.kingdee.eas.custom.workflow;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WorkflowPostionCollection extends AbstractObjectCollection 
{
    public WorkflowPostionCollection()
    {
        super(WorkflowPostionInfo.class);
    }
    public boolean add(WorkflowPostionInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WorkflowPostionCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WorkflowPostionInfo item)
    {
        return removeObject(item);
    }
    public WorkflowPostionInfo get(int index)
    {
        return(WorkflowPostionInfo)getObject(index);
    }
    public WorkflowPostionInfo get(Object key)
    {
        return(WorkflowPostionInfo)getObject(key);
    }
    public void set(int index, WorkflowPostionInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WorkflowPostionInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WorkflowPostionInfo item)
    {
        return super.indexOf(item);
    }
}